Bug 175277 - [PATCH] editors/apel: update MASTER_SITES and WWW etc.
[PATCH] editors/apel: update MASTER_SITES and WWW etc.
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: MANTANI Nobutaka
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-14 06:30 UTC by Yasuhiro KIMURA
Modified: 2013-01-26 11:00 UTC (History)
0 users

See Also:


Attachments
patch-apel (1.53 KB, text/plain)
2013-01-14 06:30 UTC, Yasuhiro KIMURA
no flags Details
patch-apel (1.50 KB, text/plain; charset=Shift_JIS)
2013-01-14 17:55 UTC, Yasuhiro KIMURA
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2013-01-14 06:30:00 UTC
	- Update MASTER_SITES and WWW.
	- Add license information.
	- Adopt OptionsNG.
	- Trim makefile header.
Comment 1 Edwin Groothuis freebsd_committer 2013-01-14 06:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nobutaka

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Yasuhiro KIMURA 2013-01-14 17:55:15 UTC
I misunderstood the meaning of LICENSE_FILE. So please commit attached
patch instead original one.

Regards.
Comment 3 dfilter freebsd_committer 2013-01-26 10:52:15 UTC
Author: nobutaka
Date: Sat Jan 26 10:52:03 2013
New Revision: 311003
URL: http://svnweb.freebsd.org/changeset/ports/311003

Log:
  Update MASTER_SITES and WWW.
  Add license information.
  Adopt OptionsNG.
  Trim Makefile header.
  
  PR:		ports/175277
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>

Modified:
  head/editors/apel/Makefile
  head/editors/apel/pkg-descr

Modified: head/editors/apel/Makefile
==============================================================================
--- head/editors/apel/Makefile	Sat Jan 26 10:37:03 2013	(r311002)
+++ head/editors/apel/Makefile	Sat Jan 26 10:52:03 2013	(r311003)
@@ -1,20 +1,18 @@
-# New ports collection makefile for:	apel for emacs
-# Date created:		23 September 1998
-# Whom:			Shigeyuki FUKUSHIMA <shige@FreeBSD.org>
-#
+# Created by: Shigeyuki FUKUSHIMA <shige@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	apel
 PORTVERSION=	${APEL_VER}
 PORTREVISION=	8
 CATEGORIES=	editors elisp
-MASTER_SITES=	http://kanji.zinbun.kyoto-u.ac.jp/~tomo/lemi/dist/apel/
+MASTER_SITES=	http://git.chise.org/elisp/dist/apel/
 PKGNAMESUFFIX=	-${EMACS_PORT_NAME}
 
 MAINTAINER?=	nobutaka@FreeBSD.org
 COMMENT?=	A Portable Emacs Library for emacs
 
+LICENSE=	GPLv2
+
 # distfile version
 APEL_VER=	10.8
 # apel lispdir
@@ -33,6 +31,10 @@ MAKE_ARGS+=	PREFIX="${LOCALBASE}" \
 		LISPDIR="${APEL_LISPDIR}" \
 		VERSION_SPECIFIC_LISPDIR="${APEL_VERSION_SPECIFIC_LISPDIR}"
 
+OPTIONS_DEFINE=	DOCS
+OPTINOS_DEFAULT=	DOCS
+
+.include <bsd.port.options.mk>
 .include <bsd.port.pre.mk>
 
 .if ${EMACS_VER:C/\..*//} >= 23
@@ -42,7 +44,7 @@ PLIST_SUB+=	EMACS23="@comment " NOEMACS2
 .endif
 
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
 	@(cd ${WRKSRC} ; \
 	for i in ChangeLog README.* ; do \

Modified: head/editors/apel/pkg-descr
==============================================================================
--- head/editors/apel/pkg-descr	Sat Jan 26 10:37:03 2013	(r311002)
+++ head/editors/apel/pkg-descr	Sat Jan 26 10:52:03 2013	(r311003)
@@ -29,4 +29,4 @@ To use apel, put the following setup int
 
 	(require 'apel-setupel)
 
-WWW: http://www.kanji.zinbun.kyoto-u.ac.jp/~tomo/elisp/APEL/index.en.html
+WWW: http://git.chise.org/elisp/apel/index.html.en
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 MANTANI Nobutaka freebsd_committer 2013-01-26 10:52:19 UTC
State Changed
From-To: open->closed

Committed, thanks!